package com.adealink.weparty.share

import com.adealink.frame.spi.RegisterService
import com.adealink.weparty.App
import com.adealink.weparty.module.share.IShareService
import com.adealink.weparty.share.datasource.remote.ShareHttpService

@RegisterService(IShareService::class)
class ShareServiceImpl : IShareService {

    private val shareHttpService by lazy {
        App.instance.networkService.getHttpService(ShareHttpService::class.java)
    }


    override fun getService(): IShareService {
        return this
    }

    override fun onLogout() {

    }

}